Множественные уязвимости в ядре Linux

Дата публикации:
11.07.2008
Дата изменения:
01.09.2008
Всего просмотров:
3581
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2812
CVE-2008-3077
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel версии до 2.6.25.10

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за разыменования нулевого указателя при обработке tty в файлах drivers/net/hamradio/6pack.c, drivers/net/hamradio/mkiss.c, drivers/net/irda/irtty-sir.c, drivers/net/ppp_async.c, drivers/net/ppp_synctty.c, drivers/net/slip.c, drivers/net/wan/x25_asy.c и drivers/net/wireless/strip.c. Локальный пользователь может вызвать отказ в обслуживании системы или повысить свои привилегии.

2. Уязвимость существует из-за ошибки в функции "sys32_ptrace()" в файле arch/x86/kernel/ptrace.c. Локальный пользователь может вызвать переполнение в поле "refcount" структуры "task_struct" и спровоцировать повторное использование освобожденной памяти.

Для успешной эксплуатации уязвимости ядро должно быть запущено на x86-64 платформе.

URL производителя: www.kernel.org

Решение: Установите последнюю версию ядра 2.6.25.10 с сайта производителя.

Ссылки: http://lwn.net/Articles/288473/

или введите имя

CAPTCHA